---
# st.yml tasks
- name: st - apt dependenices
  apt:
    name: "{{ item }}"
    state: latest
  become: yes
  tags: [st, apt]
  with_items:
   - build-essential
   - x11proto-core-dev
   - libx11-dev
   - libxft-dev
  
- name: st - git clone
  git:
    repo: git@github.com:bryfry/st.git 
    dest: "{{ st_dir }}"
  tags: st

- name: st - compile
  command: "{{ item }}"
  args: 
    chdir: "{{ st_dir }}"
  tags: st
  with_items:
  - make clean
  - make 
  
- name: st - install
  command: make install
  args: 
    chdir: "{{ st_dir }}"
  tags: st
  become: true
